curl --request POST \
--url https://api.qovery.com/environment/{environmentId}/redeploy \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "BUILDING",
"last_deployment_state": "BUILDING",
"last_deployment_date": "2023-11-07T05:31:56Z",
"last_deployment_id": "<string>",
"total_deployment_duration_in_seconds": 123,
"origin": "API",
"triggered_by": "<string>",
"deployment_status": "NEVER_DEPLOYED",
"deployment_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metrics": [
{
"stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"total_duration_sec": 123,
"details": [
{
"stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_name": "TOTAL",
"status": "SUCCESS",
"duration_sec": 123
}
]
}
]
}curl --request POST \
--url https://api.qovery.com/environment/{environmentId}/redeploy \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "BUILDING",
"last_deployment_state": "BUILDING",
"last_deployment_date": "2023-11-07T05:31:56Z",
"last_deployment_id": "<string>",
"total_deployment_duration_in_seconds": 123,
"origin": "API",
"triggered_by": "<string>",
"deployment_status": "NEVER_DEPLOYED",
"deployment_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"metrics": [
{
"stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"total_duration_sec": 123,
"details": [
{
"stage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"step_name": "TOTAL",
"status": "SUCCESS",
"duration_sec": 123
}
]
}
]
}Documentation Index
Fetch the complete documentation index at: https://qovery-docs-cronjob-required-affinity.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Environment ID
Environment redeploy has been requested
BUILDING, BUILD_ERROR, CANCELED, CANCELING, DELETED, DELETE_ERROR, DELETE_QUEUED, DELETING, DEPLOYED, DEPLOYING, DEPLOYMENT_ERROR, DEPLOYMENT_QUEUED, EXECUTING, QUEUED, READY, RECAP, RESTARTED, RESTARTING, RESTART_ERROR, RESTART_QUEUED, STOPPED, STOPPING, STOP_ERROR, STOP_QUEUED, UNAVAILABLE, WAITING_DELETING, WAITING_RESTARTING, WAITING_RUNNING, WAITING_STOPPING BUILDING, BUILD_ERROR, CANCELED, CANCELING, DELETED, DELETE_ERROR, DELETE_QUEUED, DELETING, DEPLOYED, DEPLOYING, DEPLOYMENT_ERROR, DEPLOYMENT_QUEUED, EXECUTING, QUEUED, READY, RECAP, RESTARTED, RESTARTING, RESTART_ERROR, RESTART_QUEUED, STOPPED, STOPPING, STOP_ERROR, STOP_QUEUED, UNAVAILABLE, WAITING_DELETING, WAITING_RESTARTING, WAITING_RUNNING, WAITING_STOPPING Origin of the organization event
API, CLI, CONSOLE, GIT, QOVERY_INTERNAL, TERRAFORM_PROVIDER "API"
NEVER_DEPLOYED, UP_TO_DATE, OUT_OF_DATE Show child attributes
Was this page helpful?